### Function

# PangoXft.set_default_substitute

#### Declaration [src]

    void
    pango_xft_set_default_substitute (
      Display* display,
      int screen,
      PangoXftSubstituteFunc func,
      gpointer data,
      GDestroyNotify notify
    )

#### Description [src]

Sets a function that will be called to do final configuration substitution on a `FcPattern` before it is used to load the font. This function can be used to do things like set hinting and antialiasing options.

Deprecated since: | 1.46
Use `pango_fc_font_map_set_default_substitute()` instead.

#### Parameters

`display` | `Display*`
| an X Display
| Ownership is not transferred to the callee
`screen` | `int`
| the screen number of a screen within `display`
`func` | `PangoXftSubstituteFunc`
| function to call to to do final config tweaking on `FcPattern` objects.
`data` | `gpointer`
| data to pass to `func`
`notify` | `GDestroyNotify`
| function to call when `data` is no longer used.